Bug 143439 - Translate to hebrew of "Add rows above" is wrong
Summary: Translate to hebrew of "Add rows above" is wrong
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
7.0.5.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-Hebrew
  Show dependency treegraph
 
Reported: 2021-07-19 17:02 UTC by Anat
Modified: 2022-06-02 14:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Add rows above (220.96 KB, image/jpeg)
2021-07-19 17:02 UTC, Anat
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anat 2021-07-19 17:02:49 UTC
Created attachment 173680 [details]
Add rows above

The translation should be "הוספת שורות מעל" instead of "הוספת שורות מתחת".
Open a new or existing sheet. right click on a row number.
The options in the popup menu work correctly, but both got the same text.
both above and under got under (in hebrew).

This bug is at least a year back.
It is mostly confusing.
Is there a simple tool to correct translations ?
Comment 1 Julien Nabet 2021-07-19 17:55:08 UTC
Do you reproduce this on LO 7.1.4?

LO uses Weblate (see https://translations.documentfoundation.org/)
If interested, here's the wiki page about localization:
https://wiki.documentfoundation.org/Language

Lior: noticing you're the contact about Hebrew translation (if https://wiki.documentfoundation.org/Language_Teams is up-to-date), thought you might be interested in this one.
Comment 2 Julien Nabet 2021-07-19 18:01:18 UTC
Here's part of officecfg/registry/data/org/openoffice/Office/UI.po from Hebrew translation repo from master sources:
officecfg/registry/data/org/openoffice/Office/UI.po
  32131 #: WriterCommands.xcu
  32132 msgctxt ""
  32133 "WriterCommands.xcu\n"
  32134 "..WriterCommands.UserInterface.Commands..uno:InsertRowsBefore\n"
  32135 "Label\n"
  32136 "value.text"
  32137 msgid "Insert Rows Above"
  32138 msgstr "הוספת שורות מעל"
  32139 
  32140 #. 4axrh
  32141 #: WriterCommands.xcu
  32142 msgctxt ""
  32143 "WriterCommands.xcu\n"
  32144 "..WriterCommands.UserInterface.Commands..uno:InsertRowsBefore\n"
  32145 "ContextLabel\n"
  32146 "value.text"
  32147 msgid "Rows ~Above"
  32148 msgstr "שורות מ~על"
  32149 
  32150 #. zPPVF
  32151 #: WriterCommands.xcu
  32152 msgctxt ""
  32153 "WriterCommands.xcu\n"
  32154 "..WriterCommands.UserInterface.Commands..uno:InsertRowsAfter\n"
  32155 "Label\n"
  32156 "value.text"
  32157 msgid "Insert Rows Below"
  32158 msgstr "הוספת שורות מתחת"
  32159 
  32160 #. uZonY
  32161 #: WriterCommands.xcu
  32162 msgctxt ""
  32163 "WriterCommands.xcu\n"
  32164 "..WriterCommands.UserInterface.Commands..uno:InsertRowsAfter\n"
  32165 "ContextLabel\n"
  32166 "value.text"
  32167 msgid "Rows ~Below"
  32168 msgstr "שורות מ~תחת"
Comment 3 Anat 2021-07-19 20:19:17 UTC
(In reply to Julien Nabet from comment #1)
> Do you reproduce this on LO 7.1.4?
> 
> LO uses Weblate (see https://translations.documentfoundation.org/)
> If interested, here's the wiki page about localization:
> https://wiki.documentfoundation.org/Language
> 
> Lior: noticing you're the contact about Hebrew translation (if
> https://wiki.documentfoundation.org/Language_Teams is up-to-date), thought
> you might be interested in this one.

In 7.1.4.2 I just install
row above and below in pages menu are ok.
add row above in the popup menu is still wrong.
Any patch I should run ? or download another ver ?
Comment 4 Julien Nabet 2021-07-19 21:02:53 UTC
(In reply to Anat from comment #3)
> (In reply to Julien Nabet from comment #1
> ...
> In 7.1.4.2 I just install
> row above and below in pages menu are ok.
> add row above in the popup menu is still wrong.
> Any patch I should run ? or download another ver ?

I don't know if you can apply a patch.
Why downloading another version? You can try 7.0.6 but not sure it'll be fixed there.
There's also 7.1.5 which will be released in some days according to https://wiki.documentfoundation.org/ReleasePlan/7.1
But what's the pb with 7.1.4?
Comment 5 Ming Hua 2021-07-20 03:37:18 UTC
(In reply to Anat from comment #3)
> In 7.1.4.2 I just install
> row above and below in pages menu are ok.
> add row above in the popup menu is still wrong.
Looking at the screenshot in attachment 173680 [details] and based on the comment above, it seems the reporter is complaining about the context menu entry "Insert Rows ~Above" with KeyID BNCeF, and it is indeed still translated to "הוספת שורות מ~תחת" for Hebrew on Weblate:
https://translations.documentfoundation.org/translate/libo_ui-master/officecfgregistrydataorgopenofficeofficeui/he/?checksum=3597d02cbe119771

But this was explicitly changed on 2020-07-09 (see the "History" tab).

I don't know Hebrew at all so can't judge the correctness of the translation.  Leaving bug status as UNCONFIRMED.
Comment 6 Julien Nabet 2021-07-20 05:15:12 UTC
Sorry Anat, I had read a bit too quickly your comment. I thought everything was ok in 7.1.4.
Thank you Ming for your comment!
Comment 7 Anat 2021-07-20 16:22:16 UTC
(In reply to Julien Nabet from comment #6)
> Sorry Anat, I had read a bit too quickly your comment. I thought everything
> was ok in 7.1.4.
> Thank you Ming for your comment!

Ming is right.
He shows exactly where the wrong translation.
maybe, you can copy the right translation from the other place, that you mantion before.
Comment 8 Anat 2021-07-20 16:25:03 UTC
(In reply to Anat from comment #7)
> (In reply to Julien Nabet from comment #6)
> > Sorry Anat, I had read a bit too quickly your comment. I thought everything
> > was ok in 7.1.4.
> > Thank you Ming for your comment!
> 
> Ming is right.
> He shows exactly where the wrong translation.
> maybe, you can copy the right translation from the other place, that you
> mantion before.

should be "הוספת שורות מ~על"
Comment 9 Julien Nabet 2021-07-20 17:59:40 UTC
(In reply to Anat from comment #8)
> (In reply to Anat from comment #7)
> > ...
> > Ming is right.
> > He shows exactly where the wrong translation.
> > maybe, you can copy the right translation from the other place, that you
> > mantion before.
> 
> should be "הוספת שורות מ~על"

Done. You can take a look at the same url as quoted by Ming: https://translations.documentfoundation.org/translate/libo_ui-master/officecfgregistrydataorgopenofficeofficeui/he/?checksum=3597d02cbe119771

Sophie: I suppose 7.1 branch won't have the fix but any idea if it'll be available for 7.2.0 or rather from 7.2.1 ?
Comment 10 sophie 2021-07-21 08:42:54 UTC
(In reply to Julien Nabet from comment #9)
> (In reply to Anat from comment #8)
> > (In reply to Anat from comment #7)
> > > ...
> > > Ming is right.
> > > He shows exactly where the wrong translation.
> > > maybe, you can copy the right translation from the other place, that you
> > > mantion before.
> > 
> > should be "הוספת שורות מ~על"
> 
> Done. You can take a look at the same url as quoted by Ming:
> https://translations.documentfoundation.org/translate/libo_ui-master/
> officecfgregistrydataorgopenofficeofficeui/he/?checksum=3597d02cbe119771
> 
> Sophie: I suppose 7.1 branch won't have the fix but any idea if it'll be
> available for 7.2.0 or rather from 7.2.1 ?

Thanks Julien for the fix, it should be available in 7.2.0, RC2 is next week
Comment 11 Anat 2022-06-02 11:07:52 UTC
I just checked
Fixed in 7.2.6.2
can be close now.